#include <stdio.h>
#include <time.h>
#include <string.h>


#define CATFILE		"/spool/catalog.cat"

#define NULLFILE	((FILE *)0)
#define CTL		'@'
#define DOSEOF		('Z' - CTL)
#define UNIXEOF		('D' - CTL)

int
main (void)
{
char buffer[256];
FILE *cat;
long datasize = 0;
int numstrings = 0;

	/* open the input catalog file */
	if ((cat = fopen (NOSDIR CATFILE, "rb")) == NULLFILE)	{
		printf ("checkcat: can't open '%s'\n", CATFILE);
		return (1);
	}

	/* read the identification record as the first one in the cat file */
	fread (buffer, 1, 256, cat);
	printf (buffer);

	/* loop while there is data left in the data file */
	while (fread (buffer, 1, 256, cat)) {
			datasize += strlen(buffer);
			numstrings++;
	}

	fclose (cat);

	/* tell the user all is well */
	printf ("checkcat: %ld bytes of string data (%d lines) in catalog file!\n", datasize, numstrings);
	return 0;
}

